import CBOR, { SenML } from '@arduino/cbor-js';
import { CloudMessageValue } from '../client/ICloudClient';
declare function isPropertyValue(message: SenML | string[]): message is SenML;
declare function valueFrom(message: SenML | string[]): CloudMessageValue;
declare function nameFrom(property: SenML | string[]): string;
declare function toString(value: SenML[], numericKeys?: boolean): string;
declare function toCloudProtocolV2(cborValue: SenML): SenML;
declare function parse(name: string, value: CloudMessageValue, timestamp: number, useCloudProtocolV2: boolean, deviceId: string): SenML | SenML[];
declare const _default: {
    CBOR: typeof CBOR;
    parse: typeof parse;
    toString: typeof toString;
    valueFrom: typeof valueFrom;
    nameFrom: typeof nameFrom;
    isPropertyValue: typeof isPropertyValue;
    toCloudProtocolV2: typeof toCloudProtocolV2;
};
export default _default;
